XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs | Functions
xcb.h File Reference
`#include <sys/types.h>`
`#include <stdint.h>`
`#include <sys/uio.h>`
`#include <pthread.h>`
`#include "xproto.h"`
Include dependency graph for xcb.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | xcb_generic_iterator_t
| Generic iterator. More...
struct | xcb_generic_reply_t
| Generic reply. More...
struct | xcb_generic_event_t
| Generic event. More...
struct | xcb_ge_event_t
| GE event. More...
struct | xcb_generic_error_t
| Generic error. More...
struct | xcb_void_cookie_t
| Generic cookie. More...
struct | xcb_auth_info_t
| Container for authorization information. More...

## Macros

#define | X_PROTOCOL 11
#define | X_PROTOCOL_REVISION 0
#define | X_TCP_PORT 6000
#define | XCB_CONN_ERROR 1
#define | XCB_CONN_CLOSED_EXT_NOTSUPPORTED 2
#define | XCB_CONN_CLOSED_MEM_INSUFFICIENT 3
#define | XCB_CONN_CLOSED_REQ_LEN_EXCEED 4
#define | XCB_CONN_CLOSED_PARSE_ERR 5
#define | XCB_TYPE_PAD(T, I) (-(I) & (sizeof(T) > 4 ? 3 : sizeof(T) - 1))
#define | XCB_NONE 0L
#define | XCB_COPY_FROM_PARENT 0L
#define | XCB_CURRENT_TIME 0L
#define | XCB_NO_SYMBOL 0L

## Typedefs

typedef struct xcb_connection_t | xcb_connection_t
| XCB Connection structure.
typedef struct xcb_auth_info_t | xcb_auth_info_t
| Container for authorization information.
typedef struct xcb_extension_t | xcb_extension_t

## Functions

int | xcb_flush (xcb_connection_t *c)
| Forces any buffered output to be written to the server.
uint32_t | xcb_get_maximum_request_length (xcb_connection_t *c)
| Returns the maximum request length that this server accepts.
void | xcb_prefetch_maximum_request_length (xcb_connection_t *c)
| Prefetch the maximum request length without blocking.
xcb_generic_event_t * | xcb_wait_for_event (xcb_connection_t *c)
| Returns the next event or error from the server.
xcb_generic_event_t * | xcb_poll_for_event (xcb_connection_t *c)
| Returns the next event or error from the server.
xcb_generic_event_t * | xcb_poll_for_queued_event (xcb_connection_t *c)
| Returns the next event without reading from the connection.
xcb_generic_error_t * | xcb_request_check (xcb_connection_t *c, xcb_void_cookie_t cookie)
| Return the error for a request, or NULL if none can ever arrive.
void | xcb_discard_reply (xcb_connection_t *c, unsigned int sequence)
| Discards the reply for a request.
const xcb_query_extension_reply_t * | xcb_get_extension_data (xcb_connection_t *c, xcb_extension_t *ext)
| Caches reply information from QueryExtension requests.
void | xcb_prefetch_extension_data (xcb_connection_t *c, xcb_extension_t *ext)
| Prefetch of extension data into the extension cache.
const xcb_setup_t * | xcb_get_setup (xcb_connection_t *c)
| Access the data returned by the server.
int | xcb_get_file_descriptor (xcb_connection_t *c)
| Access the file descriptor of the connection.
int | xcb_connection_has_error (xcb_connection_t *c)
| Test whether the connection has shut down due to a fatal error.
xcb_connection_t * | xcb_connect_to_fd (int fd, xcb_auth_info_t *auth_info)
| Connects to the X server.
void | xcb_disconnect (xcb_connection_t *c)
| Closes the connection.
int | xcb_parse_display (const char *name, char **host, int *display, int *screen)
| Parses a display string name in the form documented by X(7x).
xcb_connection_t * | xcb_connect (const char *displayname, int *screenp)
| Connects to the X server.
xcb_connection_t * | xcb_connect_to_display_with_auth_info (const char *display, xcb_auth_info_t *auth, int *screen)
| Connects to the X server, using an authorization information.
uint32_t | xcb_generate_id (xcb_connection_t *c)
| Allocates an XID for a new object.

## Detailed Description